# $Date: 2005-02-27 10:36:10 +0100 (Sun, 27 Feb 2005) $
# $Rev: 639 $

FILES=Makefile summer.py COPYING README.txt summer-man.html

VERSION=$(shell python -c 'import summer; print summer.__version__')
DISTNAME=summer-$(VERSION)

all:
	# Nothing to do...

summer-man.html: README.txt
	rst2html.py README.txt > summer-man.html

doc:
	epydoc --name Summer --show-imports summer.py

dist: clean $(FILES)
	mkdir $(DISTNAME)
	cp -a $(FILES) $(DISTNAME)
	tar cvzf $(DISTNAME).tar.gz $(DISTNAME)
	rm -rf $(DISTNAME)

clean:
	rm -rf html/ *.bck *~ *.pyc *.pyo *-man.html *.tar.gz
